PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_stradd | ( | PLASMA_enum | uplo,
|  | PLASMA_enum | trans,
|  | int | M,
|  | int | N,
|  | float | alpha,
|  | const float * | A,
|  | int | LDA,
|  | float | beta,
|  | float * | B,
|  | int | LDB
| ) |  |

CORE_stradd adds two matrices together as in PBLAS pstradd.

     B <- alpha * op(A)  + beta * B,

where op(X) = X, X', or (X')

Parameters

  [in] | uplo | Specifies the shape of A and B matrices: = PlasmaUpperLower: A and B are general matrices. = PlasmaUpper: op(A) and B are upper trapezoidal matrices. = PlasmaLower: op(A) and B are lower trapezoidal matrices.
  [in] | trans | Specifies whether the matrix A is non-transposed, transposed, or ugate transposed = PlasmaNoTrans: op(A) = A = PlasmaTrans: op(A) = A' = PlasmaTrans: op(A) = (A')
  [in] | M | Number of rows of the matrices A and B.
  [in] | N | Number of columns of the matrices A and B.
  [in] | alpha | Scalar factor of A.
  [in] | A | Matrix of size LDA-by-N.
  [in] | LDA | Leading dimension of the array A. LDA >= max(1,M)
  [in] | beta | Scalar factor of B.
  [in,out] | B | Matrix of size LDB-by-N. On exit, B = alpha * op(A) + beta * B
  [in] | LDB | Leading dimension of the array B. LDB >= max(1,M)

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

PlasmaLower

PlasmaUpper